Bug 1276327 - graphical login screen prompt appears on closed monitor
graphical login screen prompt appears on closed monitor
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mutter (Show other bugs)
22
x86_64 Other
unspecified Severity medium
: ---
: ---
Assigned To: Florian Müllner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-29 09:11 EDT by gregory
Modified: 2016-07-19 15:58 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:58:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gregory 2015-10-29 09:11:44 EDT
Description of problem:
When I uses the laptop with the external monitor, the lid, i.e., built-in monitor, is closed. The boot, prompt for the encrypted disk password get shown on the external monitor, but the graphical login screen goes to the built-in monitor, and the external monitor extends the built-in monitor. Therefore, I cannot see the graphical login screen. After login, the external monitor can be used normally.

Version-Release number of selected component (if applicable):
gdm-3.16.3-1.fc22.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Plug in an external monitor via Display Port
2. Power on the external monitor
3. Power on the laptop and close its lid
4. Enter the password for the disk when prompted on the external monitor

Actual results:
The monitor shows the gdm wallpaper without login prompt.

Expected results:
The gdm login screen is on the external monitor.

Additional info:
$ lspci | grep VGA
01:00.0 VGA compatible controller: NVIDIA Corporation GK208GLM [Quadro K610M] (rev a1)

# the proprietary NVIDIA driver from rpmfusion
xorg-x11-drv-nvidia-340xx-340.93-1.fc22.x86_64

laptop: HP ZBook 17 Mobile Workstation

external monitor: HP EliteDisplay E241i

OS installed with
Fedora-Workstation-netinst-x86_64-22.iso
GNOME Desktop

Similar reports:
https://bugzilla.redhat.com/show_bug.cgi?id=691620 (But I have one built-in monitor that is always connected, although closed)
https://bugzilla.redhat.com/show_bug.cgi?id=702760 (But I connect the external monitor directly on the Display Port)

This same h/w set-up worked as expected with Fedora 20.
Comment 1 gregory 2015-11-03 05:45:32 EST
At first, I attempted to work around with scripts in /etc/gdm/Init, following https://bugzilla.redhat.com/show_bug.cgi?id=691620#c22. This had no effect though. Enabling
[debug]
# Uncomment the line below to turn on debugging
Enable=true
in /etc/gdm/custom.conf
I see that no scripts from /etc/gdm/Init are executed by gdm.

Currently, I work around the problem with
$ cat /etc/X11/xorg.conf.d/99-nvidia-display-order.conf
# xrandr reports:
#     the laptop built-in monitor as DP-3 (DFP-3)
#     the external monitor conneted on DisplayPort as DP-4 (DFP-4)
# Make NVIDIA X driver provide nvidiaXineramaInfo
# reporting DFP-4 first, if enabled
#
Section "Screen"
	Identifier "Screen0"
	Option "nvidiaXineramaInfoOrder" "DFP-4, DFP-3"
EndSection
Comment 2 Fedora End Of Life 2016-07-19 15:58:32 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.